View Issue Details

IDProjectCategoryView StatusLast Update
0004599FreeCADBugpublic2021-03-25 15:00
Reporterturn211 Assigned Tochennes  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.20 
Summary0004599: Build 24276 0.19 Release breaks Stylesheet theming Comboview Proprerty QTabBar theming on Windows
DescriptionRun FreeCAD on Windows 10 with or without a stylesheet and ComboView Property [code=qtabbar::tab:bottom][/code] tabs are always old non Native OS Style tabs. Worked fine on all 0.19 pre releases. Works fine on Linux.
https://forum.freecadweb.org/viewtopic.php?f=34&t=56875
Steps To ReproduceRun FreeCAD on Windows 10 with or without a stylesheet and ComboView Property [code=qtabbar::tab:bottom][/code] tabs are always old non Native OS Style tabs. Worked fine on all 0.19 pre releases.
TagsNo tags attached.
FreeCAD InformationOS: Windows 10 Version 2009
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24276 (Git)
Build type: Release
Branch: releases/FreeCAD-0-19
Hash: a88db11e0a908f6e38f92bfc5187b13ebe470438
Python version: 3.8.6+
Qt version: 5.15.1
Coin version: 4.0.1
OCC version: 7.5.0
Locale: English/Canada (en_CA)

Activities

turn211

2021-03-22 21:39

reporter  

Tabs_not_styled_24276.png (8,969 bytes)   
Tabs_not_styled_24276.png (8,969 bytes)   

turn211

2021-03-23 15:39

reporter   ~0015537

More Forum talk here https://forum.freecadweb.org/viewtopic.php?f=34&t=55134&p=490268#p490204 and https://forum.freecadweb.org/viewtopic.php?f=34&t=56875

chennes

2021-03-25 14:43

developer   ~0015540

Fixed in PR 4668.

chennes

2021-03-25 14:49

developer   ~0015541

Fix merged in c:FreeCAD:04cf845d7795fdbabb04d39a60675fc50615872b

chennes

2021-03-25 14:51

developer   ~0015542

Let's try this again: fixed in FreeCAD master 04cf845d

chennes

2021-03-25 15:00

developer   ~0015543

Fix committed to master branch.

Related Changesets

FreeCAD: master 04cf845d

2021-03-25 14:34:06

chennes


Committer: wwmayer Details Diff
[GUI] Remove explicit triangle styling from tabs

On Windows the lower tabs of the PropertyView were being set to
triangular, which breaks stylesheets. This removes that code, so they
now take on whatever the standard shape is on the system.

Fixes 0004599
Affected Issues
0004599
mod - src/Gui/PropertyView.cpp Diff File

Issue History

Date Modified Username Field Change
2021-03-22 21:39 turn211 New Issue
2021-03-22 21:39 turn211 File Added: QWindowsStyle not applied to ComboView Property Tabs.png
2021-03-22 21:39 turn211 File Added: Tabs_not_styled_24276.png
2021-03-23 15:39 turn211 Note Added: 0015537
2021-03-24 17:43 chennes Assigned To => chennes
2021-03-24 17:43 chennes Status new => assigned
2021-03-25 14:43 chennes Note Added: 0015540
2021-03-25 14:49 chennes Status assigned => resolved
2021-03-25 14:49 chennes Resolution open => fixed
2021-03-25 14:49 chennes Fixed in Version => 0.20
2021-03-25 14:49 chennes Note Added: 0015541
2021-03-25 14:51 chennes Status resolved => feedback
2021-03-25 14:51 chennes Resolution fixed => reopened
2021-03-25 14:51 chennes Status feedback => resolved
2021-03-25 14:51 chennes Resolution reopened => fixed
2021-03-25 14:51 chennes Note Added: 0015542
2021-03-25 15:00 chennes Changeset attached => FreeCAD master 04cf845d
2021-03-25 15:00 chennes Note Added: 0015543
2021-03-25 15:00 chennes Status resolved => closed